=== debian/changelog ===
dde-introduction (5.6.35-1) unstable; urgency=medium

 * Non-maintainer upload.
 * 

  [ Deepin Packages Builder ]
  * update

 -- Deepin Packages Builder <packages@deepin.org>  Sat, 26 Mar 2022 18:36:08 +0800

dde-introduction (5.6.0.41) unstable; urgency=medium

 * 修复无法切换特效模式的问题；
 * 更新视频；                                
 
-- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800
