## dde-introduction 5.6.38

=== CMakeLists.txt ===
--- 
+++ 
@@ -195,6 +195,6 @@
 install(FILES ${ASS_SRC} DESTINATION /usr/share/dde-introduction/)
 install(FILES ${DEMO_VIDEO_SRC} DESTINATION /usr/share/dde-introduction/)
 #add ut test
-add_subdirectory(tests)
-
-
+#add_subdirectory(tests)
+
+
