=== debian/changelog ===
dde-introduction (5.6.38-1) unstable; urgency=medium

 * Non-maintainer upload.
 * 

  [ Deepin Packages Builder ]
  * update

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 28 Sep 2022 13:27:13 +0800
