## dde-introduction 6.5.17.1

=== debian/changelog ===
dde-introduction (6.5.17.1) unstable; urgency=medium

  * chore: update desktop file
  * fix: update deepin videos(Bug: 311619)
  * fix: crash when play in virtual machine(Bug: 311635)

 -- renbin <renbin@uniontech.com>  Wed, 09 Apr 2025 11:14:32 +0800

dde-introduction (6.5.17) unstable; urgency=medium

  * Update version to 6.5.17

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Mar 2025 19:10:48 +0800

dde-introduction (6.5.16) unstable; urgency=medium

  * Update version to 6.5.16

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 13 Mar 2025 10:21:50 +0800

dde-introduction (6.5.15) unstable; urgency=medium

  * Update version to 6.5.15

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 12 Mar 2025 20:19:46 +0800

dde-introduction (6.5.14) unstable; urgency=medium

  * Update version to 6.5.14

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Feb 2025 19:24:26 +0800

dde-introduction (6.5.13) unstable; urgency=medium

  * Update version to 6.5.13
  * Update linglong.yaml for qt6.8 runtime.

 -- wangrong <wangrong@uniontech.com>  Fri, 07 Feb 2025 09:28:54 +0800

dde-introduction (6.5.12) unstable; urgency=medium

  * chore: v6.5.12 release.
  * feat: Support Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

dde-introduction (6.5.11) unstable; urgency=medium

  * fix: avoid black line on titlebar(Bug: 295281)

 -- renbin <renbin@uniontech.com>  Thu, 02 Jan 2025 20:37:45 +0800

dde-introduction (6.5.10) unstable; urgency=medium

  * chore: replace video footag
  * fix: optimize ui details(Bug: 294093)
  * fix: avoid black line on titlebar(Bug: 295281)
  * fix: remove margin while siwtch video(Bug: 294099)
  * fix: set dock mode not work(Bug: 297827)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:11:40 +0800

dde-introduction (6.5.9) unstable; urgency=medium

  * chore: Bump version to 6.5.9

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 13:45:11 +0800

dde-introduction (6.5.8) unstable; urgency=medium

  * chore: Bump version to 6.5.8

 -- wangrong <wangrong@uniontech.com>  Mon, 09 Dec 2024 10:04:23 +0800

dde-introduction (6.5.7) unstable; urgency=medium

  * chore: Adapt linglong for loong64(Task: 368689)
  * fix: Welcome to new demand
  * feat: 2500 new design
  * chore: update translations
  * fix: mute previous video / hide button(Task: 35813)(Influence: UI)
  * feat: set video mute by default(Task: 35813)

 -- renbin <renbin@uniontech.com>  Sat, 07 Dec 2024 12:02:01 +0800

dde-introduction (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:50:36 +0800

dde-introduction (6.5.5) unstable; urgency=medium

  * New Version 6.5.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 14:02:10 +0800

dde-introduction (6.5.4) unstable; urgency=medium

  * fix fail to start linglong app by launcher.

 -- wangrong <wangrong@uniontech.com>  Sat, 16 Nov 2024 15:18:50 +0800

dde-introduction (6.5.3) unstable; urgency=medium

  * remove kwayland-shell env

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 11 Nov 2024 09:46:30 +0800

dde-introduction (6.5.2) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Mon, 21 Oct 2024 14:44:59 +0800

dde-introduction (6.5.1) unstable; urgency=medium

  * New version 6.5.1
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

dde-introduction (6.5.0) unstable; urgency=medium

  * update version 6.5.0.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

dde-introduction (6.0.22) unstable; urgency=medium

  * update version

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 25 Apr 2024 18:00:32 +0800

dde-introduction (6.0.21) unstable; urgency=medium

  * update version

 -- liuzheng <liuzheng@uniontech.com>  Tue, 16 Apr 2024 21:29:42 +0800

dde-introduction (6.0.20) unstable; urgency=medium

  * New Version 6.0.20.

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 16 Apr 2024 19:50:33 +0800

dde-introduction (6.0.19) unstable; urgency=medium

  * New Version 6.0.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 12 Apr 2024 16:49:15 +0800

dde-introduction (6.0.18) unstable; urgency=medium

  * fix: Fix window color change

 -- renbin <renbin@uniontech.com>  Wed, 03 Apr 2024 16:30:08 +0800

dde-introduction (6.0.17) unstable; urgency=medium

  * chore: Optimization of display effects for commonly used application icons
  * feat: New fetures
  * fix: Dark theme problem (Bug: 247971)
  * fix: The interface switching lag problem (Bug: 243765)
  * fix: The white edges in the playback interface(Bug: 245133)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 16:15:49 +0800

dde-introduction (6.0.16) unstable; urgency=medium

  * fix: Fix the issue of incomplete text display in commonly used applicationsBug: 245381)

 -- houchengqiu <houchengqiu@uniontech.com>  Wed, 13 Mar 2024 15:18:12 +0800

dde-introduction (6.0.15) unstable; urgency=medium

  * New Version 6.0.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 01 Mar 2024 17:58:07 +0800

dde-introduction (6.0.14) unstable; urgency=medium

  * New Version 6.0.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 27 Feb 2024 17:17:40 +0800

dde-introduction (6.0.13) unstable; urgency=medium

  * New Version 6.0.13.

 -- xiepengfei <xiepengfei@uniontech.com>  Web, 01 Feb 2024 16:16:24 +0800

dde-introduction (6.0.12) unstable; urgency=medium

  * feat: Modified the Welcome 1070 interface

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 19 Jan 2024 11:19:32 +0800

dde-introduction (6.0.11) unstable; urgency=medium

  * fix: click next to crash when logging in for the first time

 -- fengli <fengli@uniontech.com>  Fri, 03 Nov 2023 13:16:14 +0800

dde-introduction (5.7.3-1) unstable; urgency=medium

 * New Version 5.7.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 18 Jul 2023 13:08:42 +0800

dde-introduction (5.7.2-1) unstable; urgency=medium

 * New Version 5.7.2.


