=== debian/control ===
Source: dde-introduction
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper (>= 9),
 pkg-config,
 cmake,
 libgsettings-qt-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 qtbase5-private-dev,
 libqt5svg5-dev,
 qtwebengine5-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkcore-dev,
 libdmr-dev,
 qtmultimedia5-dev,
 libffmpegthumbnailer-dev,
 libgtest-dev,
 libgmock-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-introduction
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Introduction for UOS
 When you log into the system for the first time, a welcome program will automatically start.
 Watch the introduction video to get new features, customize your desktop, enable the window
 effect and know more about UnionTech OS.
