## dde-introduction 6.5.22

=== debian/changelog ===
dde-introduction (6.5.22) unstable; urgency=medium

  * Update version to 6.5.22.

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:12:14 +0800

dde-introduction (6.5.21) unstable; urgency=medium

  * update deepin video

 -- liuzheng <uos@uos-PC>  Wed, 21 May 2025 15:01:20 +0800

dde-introduction (6.5.20) unstable; urgency=medium

  * docs: refactor single instance check(Bug: 313907)

 -- renbin <renbin@uniontech.com>  Tue, 22 Apr 2025 18:25:29 +0800

dde-introduction (6.5.19) unstable; urgency=medium

  * Update version to 6.5.19

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 13:20:50 +0800

dde-introduction (6.5.18) unstable; urgency=medium

  * fix: Use DBus for system edition check

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 17:02:11 +0800
