## dde-introduction 6.5.23

=== debian/changelog ===
dde-introduction (6.5.23) unstable; urgency=medium

  * update version to 6.5.23.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 21:03:59 +0800
