=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Build-Depends: debhelper (>= 9),
  pkg-config,
  cmake,
- libgsettings-qt-dev,
- qtbase5-dev,
- qttools5-dev-tools,
- qttools5-dev,
- qtbase5-private-dev,
- libqt5svg5-dev,
- qtwebengine5-dev,
- libdtkwidget-dev,
- libdtkgui-dev,
- libdtkcore-dev,
- libdmr-dev,
- qtmultimedia5-dev,
+ qt6-5compat-dev | libgsettings-qt-dev,
+ qt6-base-dev | qtbase5-dev,
+ qt6-tools-dev-tools | qttools5-dev-tools,
+ qt6-tools-dev | qttools5-dev,
+ qt6-base-private-dev | qtbase5-private-dev,
+ qt6-svg-dev | libqt5svg5-dev,
+ qt6-webengine-dev | qtwebengine5-dev,
+ libdtk6widget-dev | libdtkwidget-dev,
+ libdtk6gui-dev | libdtkgui-dev,
+ libdtk6core-dev | libdtkcore-dev,
+ libdmr6-dev | libdmr-dev,
+ qt6-multimedia-dev | qtmultimedia5-dev,
  libffmpegthumbnailer-dev,
  libgtest-dev,
  libgmock-dev
