## dde-introduction 6.5.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,13 +29,12 @@
 #set different ISO types
 #1:professional 2:community 3:server
 #set(ISO_TYPE "professional")
-set(ISO_TYPE "community")
+# set(ISO_TYPE "community")
 #set(ISO_TYPE "server")
 
 #common resource names
 set(APP_RES_DIR "${CMAKE_SOURCE_DIR}/resources")
 set(APP_BIN_NAME "dde-introduction")
-set(APP_TRANS_SCRIPT "${CMAKE_SOURCE_DIR}/translate_generation.sh")
 set(APP_DESKTOP "${CMAKE_SOURCE_DIR}/dde-introduction.desktop")
 set(APP_QRC "${CMAKE_SOURCE_DIR}/dde-introduction.qrc")
 set(APP_LOGO "${APP_RES_DIR}/dde-introduction.svg")
@@ -57,8 +56,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")
 
 #安全测试加固编译参数
@@ -73,6 +71,22 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DISLOONGARCH64")
 endif ()
 
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
+# 引入翻译生成
+include(translation-generate)
+
+# Find Qt version
+find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
+message("   >>> Found Qt version: ${QT_VERSION_MAJOR}")
+set(QT_DESIRED_VERSION ${QT_VERSION_MAJOR})
+
+if (QT_VERSION_MAJOR MATCHES 6)
+    set(DTK_VERSION_MAJOR 6)
+else()
+    set(DTK_VERSION_MAJOR "")
+endif()
+message("   >>> Build with DTK: ${DTK_VERSION_MAJOR}")
+
 #compile flags
 if (CMAKE_BUILD_TYPE MATCHES Debug)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
@@ -88,13 +102,6 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
 endif()
 
-execute_process(COMMAND bash
-                    ${APP_TRANS_SCRIPT}
-                    translations
-                    ${APP_TS_UPDATE}
-                    ${CMAKE_CURRENT_SOURCE_DIR}
-                    ${APP_BIN_NAME}
-                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/")
 
 configure_file(${CMAKE_CURRENT_LIST_DIR}/src/environments.h.in ${CMAKE_CURRENT_LIST_DIR}/src/environments.h @ONLY)
 
@@ -122,24 +129,92 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5 COMPONENTS DBus Sql Multimedia REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkCore REQUIRED)
-find_package(DFrameworkdbus REQUIRED)
+set(qt_required_components Core DBus Gui Widgets Sql Multimedia)
+
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND qt_required_components Core5Compat)
+else()
+    # list(APPEND qt_required_components X11Extras )
+endif()
+
+find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)
+
+set(LINK_LIBS
+    Qt${QT_DESIRED_VERSION}::Core
+    Qt${QT_DESIRED_VERSION}::DBus
+    Qt${QT_DESIRED_VERSION}::Gui
+    Qt${QT_DESIRED_VERSION}::Widgets
+    Qt${QT_DESIRED_VERSION}::Sql
+    Qt${QT_DESIRED_VERSION}::Multimedia
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    Dtk${DTK_VERSION_MAJOR}::Gui
+    Dtk${DTK_VERSION_MAJOR}::Core
+)
+
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
+    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::GuiPrivate)
+else()
+    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::WidgetsPrivate)
+    # list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::X11Extras)
+endif()
 
 include_directories(${GSTREAMER_INCLUDE_DIRS})
-include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
-
-if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
-    pkg_check_modules(LIBDMR REQUIRED libdmr)
-    include_directories(${LIBDMR_INCLUDE_DIRS})
-else()
-    ADD_DEFINITIONS("-D DISABLE_VIDEO")
-    LIST(REMOVE_ITEM CPP_SRC ${CMAKE_CURRENT_LIST_DIR}/src/modules/videowidget.cpp)
-endif()
-
+
+pkg_check_modules(LIBDMR REQUIRED libdmr)
+include_directories(${LIBDMR_INCLUDE_DIRS})
+
+# 获取 pkg-config 的搜索路径
+execute_process(
+    COMMAND pkg-config --variable pc_path pkg-config
+    OUTPUT_VARIABLE PKG_CONFIG_PATHS
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+)
+
+# 将 PKG_CONFIG_PATHS 转换为列表
+string(REPLACE ":" ";" PKG_CONFIG_PATHS "${PKG_CONFIG_PATHS}")
+
+# 查找 libdmr.pc 文件
+set(LIBDMR_PKGCONF "")
+foreach(PATH ${PKG_CONFIG_PATHS})
+    if(EXISTS "${PATH}/libdmr.pc")
+        set(LIBDMR_PKGCONF "${PATH}/libdmr.pc")
+        break()
+    endif()
+endforeach()
+message("LIBDMR_PKGCONF: ${LIBDMR_PKGCONF}")
+
+# 读取 libdmr.pc 文件的内容
+file(READ ${LIBDMR_PKGCONF} LIBDMR_PC_CONTENT)
+
+# 查找 Requires 部分
+string(REGEX MATCH "Requires: ([^\\n]+)" LIBDMR_REQUIRES "${LIBDMR_PC_CONTENT}")
+
+# 提取依赖库列表
+if(LIBDMR_REQUIRES)
+    string(REGEX REPLACE "Requires: ([^\\n]+)" "\\1" LIBDMR_REQUIRES_LIST "${LIBDMR_REQUIRES}")
+    
+    # 根据 QT_DESIRED_VERSION 检查依赖的 Qt 版本
+    if(QT_DESIRED_VERSION MATCHES 6)
+        if(LIBDMR_REQUIRES_LIST MATCHES "Qt6Widgets")
+            message(STATUS "libdmr 依赖于 Qt6")
+        else()
+            message(FATAL_ERROR "Qt6 编译， 但 libdmr 不是依赖 Qt6")
+        endif()
+    else()
+        if(LIBDMR_REQUIRES_LIST MATCHES "Qt5Widgets")
+            message(STATUS "libdmr 依赖于 Qt5")
+        else()
+            message(FATAL_ERROR "Qt5 编译， 但 libdmr 不是依赖 Qt5")
+        endif()
+    endif()
+else()
+    message(STATUS "无法从 libdmr.pc 文件中获取 Requires 部分")
+endif()
+
+pkg_check_modules(FFMPEGTHUMBNAIL REQUIRED libffmpegthumbnailer)
+include_directories(${FFMPEGTHUMBNAIL_INCLUDE_DIRS})
 
 # Tell CMake to create the executable
 add_executable(${PROJECT_NAME} ${CPP_SRC} ${APP_QRC})
@@ -148,38 +223,30 @@
     PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
 
 target_link_libraries(${APP_BIN_NAME}
-    ${DtkCore_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
+    ${LINK_LIBS}
     ${GSTREAMER_LIBRARIES}
-    ${DtkWidget_LIBRARIES}
-    Qt5::Core
-    Qt5::Gui
-    Qt5::Widgets
-    Qt5::DBus
-    Qt5::Multimedia
+    ${LIBDMR_LIBRARIES}
+    ${FFMPEGTHUMBNAIL_LIBRARIES}
 )
 
-if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
-    target_link_libraries(${APP_BIN_NAME} ${LIBDMR_LIBRARIES})
-endif()
-
-
-set(CMAKE_INSTALL_PREFIX /usr)
+if(NOT CMAKE_INSTALL_PREFIX)
+    set(CMAKE_INSTALL_PREFIX "/usr")
+endif()
 
 # Install files
-install(TARGETS dde-introduction DESTINATION bin)
-
-file(GLOB APP_QM_FILES "${CMAKE_SOURCE_DIR}/translations/*.qm")
+install(TARGETS dde-introduction DESTINATION ${CMAKE_INSTALL_BINDIR})
+
 file(GLOB_RECURSE ASS_SRC ${CMAKE_SOURCE_DIR}/resources/video/*.ass)
 
 #Choose different videos for different ISO types
-if(ISO_TYPE MATCHES "server")
-set(VIDEO_PATH ${CMAKE_SOURCE_DIR}/resources/video/server/demo.mp4)
-elseif(ISO_TYPE MATCHES "community")
-set(VIDEO_PATH ${CMAKE_SOURCE_DIR}/resources/video/community/demo.mp4)
-else()
-set(VIDEO_PATH ${CMAKE_SOURCE_DIR}/resources/video/professional/demo.mp4)
-endif()
+#if(ISO_TYPE MATCHES "server")
+#set(VIDEO_PATH ${CMAKE_SOURCE_DIR}/resources/video/server/demo.mp4)
+#elseif(ISO_TYPE MATCHES "community")
+#set(VIDEO_PATH ${CMAKE_SOURCE_DIR}/resources/video/community/demo.mp4)
+#else()
+#临时代码，提供动图后需要修改！！！
+set(VIDEO_PATH ${CMAKE_SOURCE_DIR}/resources/video/2500/)
+#endif()
 
 #代码覆盖率开关
 if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
@@ -187,13 +254,18 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
 endif()
 
-file(GLOB_RECURSE DEMO_VIDEO_SRC ${VIDEO_PATH})
-
-install(FILES ${APP_QM_FILES} DESTINATION /usr/share/dde-introduction/translations)
-install(FILES ${APP_DESKTOP} DESTINATION /usr/share/applications)
+# translation files
+TRANSLATION_GENERATE(QM_FILES ${CMAKE_SOURCE_DIR}/translations)
+add_custom_target(${PROJECT_NAME}_qm_files DEPENDS ${QM_FILES})
+add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_qm_files)
+
+# Install translations
+install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
+
+install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
-install(FILES ${ASS_SRC} DESTINATION /usr/share/dde-introduction/)
-install(FILES ${DEMO_VIDEO_SRC} DESTINATION /usr/share/dde-introduction/)
+install(FILES ${ASS_SRC} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dde-introduction/)
+install(DIRECTORY ${VIDEO_PATH} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dde-introduction/)
 #add ut test
 #add_subdirectory(tests)
