=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,40 @@
 ADD_COMPILE_OPTIONS(-fno-access-control)
 
 # 设置添加gocv相关信息的输出
-set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
 
-find_package(Qt5Test REQUIRED)
+set(qt_required_components Core DBus Gui Widgets Sql Multimedia Test)
+
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND qt_required_components Core5Compat)
+else()
+    # list(APPEND qt_required_components X11Extras )
+endif()
+
+find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)
+
+set(LINK_LIBS
+    Qt${QT_DESIRED_VERSION}::Core
+    Qt${QT_DESIRED_VERSION}::DBus
+    Qt${QT_DESIRED_VERSION}::Gui
+    Qt${QT_DESIRED_VERSION}::Widgets
+    Qt${QT_DESIRED_VERSION}::Sql
+    Qt${QT_DESIRED_VERSION}::Multimedia
+    Qt${QT_DESIRED_VERSION}::Test
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    Dtk${DTK_VERSION_MAJOR}::Gui
+    Dtk${DTK_VERSION_MAJOR}::Core
+)
+
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
+    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::GuiPrivate)
+else()
+    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::WidgetsPrivate)
+    # list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::X11Extras)
+endif()
+
 find_package(GTest REQUIRED)
 include_directories(${GTEST_INCLUDE_DIRS})
 include_directories(src)
@@ -58,18 +89,11 @@
 
 # 生成测试可执行程序的依赖库QApplication
 target_link_libraries(${PROJECT_NAME_TEST} 
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
+    ${LINK_LIBS}
     ${GSTREAMER_LIBRARIES}
     ${LIBDMR_LIBRARIES}
     ${GTEST_LIBRARYS}
     ${GTEST_MAIN_LIBRARYS}
-    Qt5::Core
-    Qt5::Gui
-    Qt5::Widgets
-    Qt5::DBus
-    Qt5::Multimedia
     gtest
     gtest_main
     -pthread
@@ -81,9 +105,9 @@
     target_link_libraries(${PROJECT_NAME_TEST} ${LIBDMR_LIBRARIES})
 endif()
 
-target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${DtkWidget_INCLUDE_DIRS}
-                                                       ${DtkCore_INCLUDE_DIRS}
-                                                       ${DtkGui_INCLUDE_DIRS})
+# target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${DtkWidget_INCLUDE_DIRS}
+#                                                        ${DtkCore_INCLUDE_DIRS}
+#                                                        ${DtkGui_INCLUDE_DIRS})
 
 # ------------------------------ 创建'make test'指令---------------------------------------
 add_custom_target(test)
