=== debian/changelog ===
dde-introduction (6.5.25) unstable; urgency=medium

  * update version to 6.5.25

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 19:43:57 +0800

dde-introduction (6.5.24) unstable; urgency=medium

  *Update version to 6.5.24.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 19:01:08 +0800
