=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.org>
 Build-Depends: debhelper (>= 9),
- pkg-config,
  cmake,
  qt6-5compat-dev | libgsettings-qt-dev,
  qt6-base-dev | qtbase5-dev,
