=== debian/changelog ===
dde-introduction (7.0.4) unstable; urgency=medium

  * 7.0.4

 -- Wang Fei <wangfei@deepin.org>  Fri, 26 Apr 2024 10:31:33 +0800

dde-introduction (7.0.3) unstable; urgency=medium

  * 7.0.3

 -- Wang Fei <wangfei@deepin.org>  Fri, 19 Apr 2024 17:27:26 +0800

dde-introduction (6.0.7) unstable; urgency=medium

  * update changelog .

 -- xiepengfei xiepengfei@uniontech.com>  Mon, 11 Sep 2023 14:48:21 +0800

dde-introduction (6.0.6) unstable; urgency=medium

  * update cmake .

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 12 May 2023 18:03:43 +0800

dde-introduction (6.0.5) unstable; urgency=medium

 * New version 6.0.5.

 --  <xiepengfei@uniontech.com>  Mon, 16 Jan 2023 17:33:00 +0800

dde-introduction (6.0.4) unstable; urgency=medium

 * New version 6.0.4.

 --  <xiepengfei@uniontech.com>  Wed, 4 Jan 2023 10:30:00 +0800

dde-introduction (6.0.3) UNRELEASED; urgency=medium

 * Video material update.

 --  <liuzheng@uniontech.com>  Tues, 13 Des 2022 13:23:00 +0800

dde-introduction (6.0.2) UNRELEASED; urgency=medium

 * Modify icon theme DBUS.

 --  <xiepengfei@uniontech.com>  Tues, 11 Nov 2022 15:23:00 +0800

dde-introduction (6.0.1) UNRELEASED; urgency=medium

 * Video material update.

 --  <xiepengfei@uniontech.com>  Thur, 17 Spet 2022 11:17:00 +0800

dde-introduction (5.6.35+u0001) UNRELEASED; urgency=medium

 * Non-maintainer upload.

 --  <xuezifan@xuezifan-PC>  Tue, 17 May 2022 07:27:20 +0800

dde-introduction (5.6.35) unstable; urgency=medium

 * 修复snipe分支打包报错问题；

-- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800
